import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Range } from "@alicloudfe/components";
import cls from "classnames";

var BDesignRange = function BDesignRange(props) {
  var className = props.className,
      size = props.size,
      rest = _objectWithoutProperties(props, ["className", "size"]);

  return /*#__PURE__*/React.createElement(Range, _extends({
    className: cls(className, {
      'next-range-small': size === "small",
      'next-range-medium': size === "medium",
      'next-range-large': size === "large"
    })
  }, rest));
};

export default BDesignRange;